> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/install-the-convai-plugin.md).

# 安装 Convai 插件

从 Fab 或 GitHub Releases 安装 Convai Unreal Engine 插件，在项目中启用它，并重启 Unreal Editor。

Convai Unreal Engine 插件可通过两种渠道获取。请查看下方对比，选择最适合您工作流程的方式，然后按照相应步骤操作。

{% embed url="<https://youtu.be/n-UG3nmMeZQ>" %}
安装 Convai 插件并添加您的第一个角色
{% endembed %}

### Fab 与 GitHub：该选哪个

| 因素     | Fab            | GitHub 发布版              |
| ------ | -------------- | ----------------------- |
| 更新频率   | 较少             | 更频繁                     |
| 稳定性    | 最稳定的构建版本       | 最新功能；可能包含预发布修复          |
| 安装方式   | Epic Games 启动器 | 手动：下载、解压并复制到 `Plugins/` |
| 引擎版本选择 | 由启动器处理         | 选择与您的 UE 版本匹配的 zip 文件   |

### 安装插件

{% tabs %}
{% tab title="Fab（推荐）" %}
Fab 提供稳定且由启动器管理的构建版本。更新频率低于 GitHub，但无需手动管理文件。

{% stepper %}
{% step %}

#### 打开 Fab 列表

打开 Epic Games 启动器并前往 Fab 商店，或直接打开该插件列表：

[Fab 上的 Convai 插件](https://www.fab.com/listings/ba3145af-d2ef-434a-8bc3-f3fa1dfe7d5c)
{% endstep %}

{% step %}

#### 安装到您的引擎或项目

在列表页面上，点击 **安装到引擎** 为特定引擎版本安装插件，或 **添加到项目** 将其直接添加到项目中。选择目标引擎或项目并确认。
{% endstep %}

{% step %}

#### 启动您的项目

在 Unreal Engine 中打开您的项目。插件将在下一步中可供启用。
{% endstep %}
{% endstepper %}
{% endtab %}

{% tab title="GitHub 发布版" %}
GitHub Releases 比 Fab 更早提供新功能和修复。当您需要最新构建版本或特定插件版本时，请使用此方法。

{% stepper %}
{% step %}

#### 下载发布 zip 包

前往 [GitHub 上的 Convai Unreal Engine SDK 发布版](https://github.com/Conv-AI/Convai-UnrealEngine-SDK-V4/releases) 并找到与您所需版本匹配的发布版。下载对应您 Unreal Engine 版本的 zip 文件。
{% endstep %}

{% step %}

#### 解压插件

解压 zip 文件。解压后的文件夹应命名为 `Convai` 并包含 `ConvAI.uplugin` 位于其根目录中。
{% endstep %}

{% step %}

#### 在您的项目中创建一个 Plugins 文件夹

在项目的根目录（包含您的 `.uproject` 文件的文件夹）中，创建一个 `Plugins/` 文件夹（如果尚不存在）。
{% endstep %}

{% step %}

#### 将插件移动到您的项目中

复制或移动 `Convai` 文件夹到 `Plugins/`。最终路径应为：

```
YourProject/
  Plugins/
    Convai/
      ConvAI.uplugin
```

{% endstep %}

{% step %}

#### 打开您的项目

使用您的项目启动 Unreal Editor。如果提示重建模块，请点击 **是**.
{% endstep %}
{% endstepper %}
{% endtab %}
{% endtabs %}

### 启用插件

这两种安装方式都需要您在编辑器中启用插件：

{% stepper %}
{% step %}

#### 打开 Plugins 面板

在 Unreal 编辑器菜单栏中，选择 **编辑 > 插件**.
{% endstep %}

{% step %}

#### 找到并启用 Convai

在搜索框中输入 `Convai`。找到 **Convai** 结果中的插件并勾选 **已启用** 复选框。
{% endstep %}

{% step %}

#### 重新启动编辑器

会出现重启提示。点击 **立即重启**。编辑器重新打开后，Convai 编辑器窗口会自动打开并提示您登录。
{% endstep %}
{% endstepper %}

{% hint style="success" %}
当插件正确加载后，Convai 工具栏图标会出现在 Unreal Editor 工具栏中，且 Convai 编辑器窗口会打开以供登录。
{% endhint %}

### 下一步

{% content-ref url="/pages/d6af0b14fc209017d2d18543ad38076bb0efe8f6" %}
[配置你的 API 密钥](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/configure-your-api-key.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/install-the-convai-plugin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
